Subject: Re: bug#38497: 27.0.50; Frame is not rendered when frame-resize-pixelwise it 't

From: martin rudalics <[email-masked]>
Date: Mon, 16 Dec 2019 10:14:46 +0100

> I tested several more times. It's not really maximising, but the frame
 > size definitely changes (sometimes increases, sometimes decreases).
 > See the attached illustration.
 >
 >> The title bar there looks normal to me, not doubled.  And how would
 >> you know in the first place that the title bar was not redrawn?
 >
 > See the illustration.

These caps are much better, many thanks.  Maybe they can serve to
identify future problems with the double buffering issue (which IIUC
is at the core of the problems you describe).

 >>   > When I remove the call, there is still no redrawing. Moreover, without
 >>   > maximising the frame, when emacs frame is a single frame in a tile
 >>   > layout, the frame occupies all the space as if frame-resize-pixelwise
 >>   > was nil
 >>
 >> This must be a misunderstanding.  Among others, it's one purpose of
 >> 'frame-resize-pixelwise' _non-nil_ to make the frame occupy all the
 >> space.
 >
 > Note that in all the tests in that message I had frame-resize-pixelwise
 > nil. The frame occupied all the space in that scenario because I removed
 > the code responsible for setting the calculated frame size.

I was only bothered by "the frame occupies all the space as if
frame-resize-pixelwise was nil" which is misleading because
`frame-resize-pixelwise' nil implies the frame need not occupy all
space when the workarea size is not a multiple of the base character
size.

martin